{
    "name": "{{ item.1.name }}",
    "config":
    {
        "connector.class": "io.confluent.connect.hdfs.HdfsSinkConnector",
        {% if item.1.tasks is defined and item.1.tasks|length %}
        "tasks.max": "{{ item.1.tasks }}",
        {% endif %}
        {% if item.1.topics is defined and item.1.topics|length %}
        "topics": "{{ item.1.topics }}",
        {% endif %}
        {% if item.1.hdfsurl is defined and item.1.hdfsurl|length %}
        "hdfs.url": "{{ item.1.hdfsurl }}",
        {% endif %}
        {% if item.1.flushsize is defined and item.1.flushsize|length %}
        "flush.size": "{{ item.1.flushsize }}",
        {% endif %}
        {% if item.1.storageformat is defined and item.1.storageformat|length %}
        {% if item.1.storageformat == 'parquet' %} 
        "format.class": "io.confluent.connect.hdfs.parquet.ParquetFormat",
        {% elif item.1.storageformat == 'avro' %}
        "format.class": "io.confluent.connect.hdfs.avro.AvroFormat",
        {% elif item.1.storageformat == 'json' %}
        "format.class": "io.confluent.connect.hdfs.json.JsonFormat" ,   
        {% else %}
        "format.class": "io.confluent.connect.hdfs.string.StringFormat",         
        {% endif %}  
        {% endif %}
        {% if item.1.destinationpath is defined and item.1.destinationpath|length %}
        "topics.dir": "{{ item.1.destinationpath }}"
        {% endif %}
       
    }
}
